<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Viewer (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Viewer (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Viewer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/preset/Viewable.html" title="interface in towerwarspp.preset"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/Viewer.html" target="_top">Frames</a></li>
<li><a href="Viewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.preset</div>
<h2 title="Interface Viewer" class="title">Interface Viewer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board">BViewer</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Viewer</span></pre>
<div class="block">This is an interface for a board viewer. It has to observe an object which represents a board and deliver
 the following information to the caller: 
        the board's size, 
        the board's current status, 
        the current turn,
        the clone of a token located on some particular field of the board if this field is not empty.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>15-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kai Kuhlmann, Anastasiia Kysliak</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/Viewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/Viewer.html#getSize--">getSize</a></span>()</code>
<div class="block">Returns the size of the observed board.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/Viewer.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the current status of the observed board.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/Viewer.html#getTurn--">getTurn</a></span>()</code>
<div class="block">Returns the color of the player whose turn it is to make move.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>int&nbsp;getSize()</pre>
<div class="block">Returns the size of the observed board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the size of the observed board.</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre><a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;getStatus()</pre>
<div class="block">Returns the current status of the observed board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current status of the observed board.</dd>
</dl>
</li>
</ul>
<a name="getTurn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTurn</h4>
<pre><a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;getTurn()</pre>
<div class="block">Returns the color of the player whose turn it is to make move.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the player whose turn it is to make move.</dd>
</dl>
</li>
</ul>
<a name="getEntity-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEntity</h4>
<pre><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;getEntity(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</pre>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position of the token whose clone has to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a clone of the token located on the specified position on the board or null if the position is empty.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Viewer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/preset/Viewable.html" title="interface in towerwarspp.preset"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/Viewer.html" target="_top">Frames</a></li>
<li><a href="Viewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
